package com.chinaitop.depot.intelligent.weather.service;

import com.chinaitop.depot.intelligent.weather.model.TWeatherhsitory;
import com.chinaitop.depot.intelligent.weather.model.TWertherinfo;

import java.util.Date;
import java.util.List;

public interface WertherinfoService {
    List<TWertherinfo> getList(String vqxzname, String searchStartDate, String searchEndDate);

    TWertherinfo getById(String id);

    void save(String grainJson);

    int deleteById(String id,String wertherinfojson);

    boolean getBycfCode(String vdevcode, String vdevname);

    List<TWeatherhsitory> getByCodeAndTimes(List<String> cDcsCodes, List<Date> cTimes);

    void insertBatch(List<TWeatherhsitory> tEnergyInfos);

    List<TWertherinfo> getByCode(String cDcsCode);

    String synchronizationAll(String orgId);
}
